org.eclipse.rdf4j.sparqlbuilder.constraint

## Class In

- java.lang.Object
- - org.eclipse.rdf4j.sparqlbuilder.core.QueryElementCollection<T>
  - - org.eclipse.rdf4j.sparqlbuilder.core.StandardQueryElementCollection<Operand>
    - - org.eclipse.rdf4j.sparqlbuilder.constraint.Expression<org.eclipse.rdf4j.sparqlbuilder.constraint.Function>
      - - org.eclipse.rdf4j.sparqlbuilder.constraint.In

- All Implemented Interfaces:
    Operand, Assignable, Groupable, Orderable, QueryElement

      public class In
      extends Expression<org.eclipse.rdf4j.sparqlbuilder.constraint.Function>

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.sparqlbuilder.constraint.Expression

      `operator`

    - ### Fields inherited from class org.eclipse.rdf4j.sparqlbuilder.core.QueryElementCollection

      `elements`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getQueryString()`

    - ### Methods inherited from class org.eclipse.rdf4j.sparqlbuilder.constraint.Expression

      `parenthesize, parenthesize`

    - ### Methods inherited from class org.eclipse.rdf4j.sparqlbuilder.core.StandardQueryElementCollection

      `printBodyIfEmpty, printNameIfEmpty, resetWrapperMethod, setOperatorName, setOperatorName, setWrapperMethod`

    - ### Methods inherited from class org.eclipse.rdf4j.sparqlbuilder.core.QueryElementCollection

      `addElements, addElements, isEmpty`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.sparqlbuilder.core.Orderable

      `asc, desc`

    - ### Methods inherited from interface org.eclipse.rdf4j.sparqlbuilder.core.Assignable

      `as`

- - ### Method Detail

    - #### getQueryString

          public String getQueryString()

      Specified by:
        `getQueryString` in interface `QueryElement`
      Overrides:
        `getQueryString` in class `StandardQueryElementCollection<Operand>`
      Returns:
        the String representing the SPARQL syntax of this element

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.